<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"  encoding = "ISO-8859-1"/> 
<!-- feuille intervenants6.xsl -->
  <!-- Construction d'une liste  -->
  <xsl:key name="idkey" match="enseignant"   use="@id" />
 <xsl:param name="listtype"></xsl:param> 
  <xsl:param name="refenseignant"></xsl:param> 
  

  <xsl:template name="affiche_enseignant" >
	<xsl:param name = "id_ensg" />
	<xsl:value-of select="//enseignant[@id = $id_ensg]/nom" />
</xsl:template>
  
<xsl:template name="separation">
<hr></hr>
</xsl:template>
  
<xsl:template match="uv">
  
<html>
 <head>
	<TITLE><xsl:value-of select="@sigle" /></TITLE>
        <LINK rel="stylesheet" href="lo18.css" type="text/css" />
</head>
	<body>
	  <p>Utilisation d'une clé : <xsl:value-of select="key('idkey',$refenseignant)/nom" /> ...</p> 
	<h1><xsl:value-of select="titre" /></h1>
	  <xsl:call-template name="separation"></xsl:call-template>
	<xsl:apply-templates select = "*" />
	  
	</body>
</html>
</xsl:template>
  
<xsl:template match="titre">
<div>Titre de l'UV : <xsl:value-of select="."/></div>
</xsl:template>
  
<xsl:template match="site">
  <xsl:variable name="ref" >moulin</xsl:variable>
  <div>Site : <xsl:value-of select="." /></div>
  <div>Le nom de l'enseignant identifié par : <xsl:value-of select="$ref" /></div>
  <xsl:call-template name="affiche_enseignant" >
    <xsl:with-param name="id_ensg" select="$ref" /> 
  </xsl:call-template>
  <xsl:apply-templates select="//responsable"><xsl:with-param name="res">moulin</xsl:with-param></xsl:apply-templates>
</xsl:template>

<xsl:template match="responsable">
  <xsl:param name="res"></xsl:param>
  <xsl:if test="not ($res = '') "> --- <xsl:value-of select="$res"/> ---</xsl:if> 
   <div>Responsable : <xsl:value-of select="id(@ref)/nom" />.</div>
</xsl:template>

<xsl:template match="enseignants" >
  <div>Nb d'intervenants dans l'uv : <xsl:value-of select="count(*)"/></div>
  <div>Le dernier enseignant : <xsl:value-of select="child::enseignant[position()=last()]/nom" /> </div>
  <h4>Liste des enseignants</h4>
  <ol type="{$listtype}">
    
  <xsl:for-each select="*">
    <xsl:sort  select="nom" order="descending"/>
    <li><xsl:value-of select="concat(nom,' - Email : -',email)"/></li>
         </xsl:for-each>
     </ol>
</xsl:template>
  
<xsl:template match="enseignant">
  <tr>
    <td><xsl:value-of select="nom"/></td>
    <td><xsl:value-of select="email"/></td>
  </tr>
</xsl:template>
<xsl:template match="text()">
</xsl:template>

</xsl:stylesheet>

